## UDisksBlockLVM2 UDisksBlockLVM2 — Generated C code for the org.freedesktop.UDisks2.Block.LVM2 D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_block_lvm2_interface_info ()
guint | udisks_block_lvm2_override_properties ()
void | udisks_block_lvm2_proxy_new ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_finish ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_sync ()
void | udisks_block_lvm2_proxy_new_for_bus ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_for_bus_finish ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_for_bus_sync ()
UDisksBlockLVM2 * | udisks_block_lvm2_skeleton_new ()

## Types and Values

| UDisksBlockLVM2
struct | UDisksBlockLVM2Iface
struct | UDisksBlockLVM2Proxy
struct | UDisksBlockLVM2ProxyClass
struct | UDisksBlockLVM2Skeleton
struct | UDisksBlockLVM2SkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block.LVM2 D-Bus interface in C.

## Functions

### udisks_block_lvm2_interface_info ()

    GDBusInterfaceInfo *
    udisks_block_lvm2_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Block.LVM2 D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 2.0.0

### udisks_block_lvm2_override_properties ()

    guint
    udisks_block_lvm2_override_properties (GObjectClass *klass,
                                           guint property_id_begin);

Overrides all GObject properties in the UDisksBlockLVM2 interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 2.0.0

### udisks_block_lvm2_proxy_new ()

    void
    udisks_block_lvm2_proxy_new (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_lvm2_proxy_new_finish()` to get the result of the operation.

See `udisks_block_lvm2_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_block_lvm2_proxy_new_finish ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_finish (GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `udisks_block_lvm2_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_lvm2_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_sync ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_sync (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_block_lvm2_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus ()

    void
    udisks_block_lvm2_proxy_new_for_bus (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Like `udisks_block_lvm2_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_block_lvm2_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_block_lvm2_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus_finish ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_lvm2_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_lvm2_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus_sync ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_block_lvm2_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_block_lvm2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_skeleton_new ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2.

#### Returns

The skeleton object.

[transfer full][type UDisksBlockLVM2Skeleton]

Since: 2.0.0

## Types and Values

### UDisksBlockLVM2

    typedef struct _UDisksBlockLVM2 UDisksBlockLVM2;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2.

Since: 2.0.0

### struct UDisksBlockLVM2Iface

    struct UDisksBlockLVM2Iface {
      GTypeInterface parent_iface;

      const gchar * (*get_logical_volume) (UDisksBlockLVM2 *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_logical_volume` () | Getter for the “logical-volume” property. |

Since: 2.0.0

### struct UDisksBlockLVM2Proxy

    struct UDisksBlockLVM2Proxy {
    };

The UDisksBlockLVM2Proxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksBlockLVM2ProxyClass

    struct UDisksBlockLVM2ProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksBlockLVM2Proxy.

#### Members

Since: 2.0.0

### struct UDisksBlockLVM2Skeleton

    struct UDisksBlockLVM2Skeleton {
    };

The UDisksBlockLVM2Skeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksBlockLVM2SkeletonClass

    struct UDisksBlockLVM2SkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksBlockLVM2Skeleton.

#### Members

Since: 2.0.0